Skip to main content
POST
/
members
Invite member
curl --request POST \
  --url https://api.envless.cloud/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "alex@example.com",
  "roleId": "<string>"
}
'
{
  "success": true,
  "code": 201,
  "message": "Member invited.",
  "data": {
    "id": "<string>",
    "email": "<string>",
    "status": "invited",
    "roleId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.envless.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access key from https://app.envless.cloud/keys. Pass as Authorization: Bearer ev_live_....

Body

application/json
email
string<email>
required
Example:

"alex@example.com"

roleId
string
required

The role's id from GET /roles (or system role IDs).

Response

Invite created

success
boolean
Example:

true

code
integer
Example:

201

message
string
Example:

"Member invited."

data
object